## org.apache.commons.math3.analysis.function
Class Abs

    java.lang.Object
      org.apache.commons.math3.analysis.function.Abs

All Implemented Interfaces:
  UnivariateFunction

    public class Abs

extends java.lang.Object
implements UnivariateFunction

Absolute value function.

Since:
  3.0
Version:
  $Id: Abs.java 1364377 2012-07-22 17:39:16Z tn $

Constructor Summary
`Abs()`

Method Summary
`double` `value(double x)` Compute the value of the function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Abs

    public Abs()

Method Detail

### value

    public double value(double x)

  Compute the value of the function.

  Specified by:
    `value` in interface `UnivariateFunction`
  Parameters:
    `x` - Point at which the function value should be computed.
  Returns:
    the value of the function.

Copyright (c) 2003-2013 Apache Software Foundation